from cpl_translation import TranslatePipe

from bot_api.api import Api
from bot_api.logging.api_logger import ApiLogger
from bot_api.route.route import Route


class ApiController:

    def __init__(
            self,
            logger: ApiLogger,
            t: TranslatePipe,
            api: Api
    ):
        self._logger = logger
        self._t = t
        self._api = api

    @Route.route('/api/hello-world')
    def hello_world(self):
        return self._t.transform('common.hello_world')
